Subject: Re: Strange failure with CVS and diff
From: [email-masked] ("Jeffery G. Smith")

7 Feb 1997 07:38:42 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (WinNT; I)
Original-To: Shankar Unni <[email-masked]>
Original-CC: Lists - Cygnus GNU Win32 <[email-masked]>
Original-Sender: [email-masked]

Shankar Unni wrote:
> 
> I've been trying to use the NT port of CVS 1.9.2 from ftp.cyclic.com,
> with their port of RCS 5.7, and the GNU diff from Cygwin32 Beta 17.1.
> 
> I got a strange failure during a checkin: when RCS ran diff (with a
> --rcs, I believe), some (all?) of the output came out on the TTY instead
> of into the RCS file!! I've been unable to duplicate this by running
> "diff --rcs" by hand, but can make this happen any time with "cvs
> commit" on a modified file.
> 
> Has anyone else seen anything like this? Or has anyone gotten this
> combination to work? I don't have any trouble with the diff 2.7 port
> that I downloaded from the same CVS site where I got CVS and RCS..

I've noticed the same thing but in my case everything works correctly, I
just get the diff output to the screen as a "bonus".  In other words,
the diff output seems to be getting to the rcs file ok but I also get it
to the screen.

-- 
I'm Luke Skywalker; I'm here to rescue you.

/* Jeffery G. Smith, MCSE, [email-masked]           *
 *   BS-RHIT, MS-OSU, DJ-WMHD (aka Doc. Insomnia)     *
 *   Physics Computer Support Team Coach              *
 *   http://pobox.com/~smithj/                        */
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".